/// Classe NewtCollisionTree. Elle drive elle aussi de la classe NewtCollision. Comme
/// son nom l'indique, elle permet de crer un arbre de collision  partir d'un modle
/// 3D. Cette classe s'toffera plus tard, puisqu'il est possible de charger des arbres
/// de collision  partir d'un fichier, afin d'conomiser en temps.

#ifndef NEWTCOLLISIONTREE_HPP
#define NEWTCOLLISIONTREE_HPP

#include <iostream>

#include "NewtCollision.hpp"

#include "Model.hpp"


class NewtCollisionTree : public NewtCollision
{
	public:
		NewtCollisionTree (CModel * model, const bool optimize = true);
		~NewtCollisionTree ();
};

#endif // NEWTCOLLISIONTREE_HPP