#include "NewtMaterialID.hpp"

// Constructeur, se charge de crer un nouveau matriel
NewtMaterialID::NewtMaterialID (const int defaultID)
{
	_nWorld = NewtWorld::GetInstance ();
	
	// Ce n'est pas le matriel par dfaut
	if (defaultID == 0)
		_matID = NewtonMaterialCreateGroupID (_nWorld->GetNewtonWorld());
	
	// On rcupre le matriel par dfaut si defaultID == 1
	else if (defaultID == 1)
		_matID = NewtonMaterialGetDefaultGroupID (_nWorld->GetNewtonWorld());
}

NewtMaterialID::~NewtMaterialID ()
{
}
