#include "Vector.hpp"

// Surcharge de l'oprateur =
CVector & CVector::operator= (const CVector & rhs)
{
   x = rhs.x;
   y = rhs.y;
   z = rhs.z;

	return *this;
}

// Surcharge de /=
CVector & CVector::operator /= (const int div)
{
	x /= div;
	y /= div;
	z /= div;

	return *this;
}

CVector::CVector ()
   : x (0.0f), y (0.0f), z (0.0f)
{
   // Ne fait rien
}

CVector::CVector (const GLfloat fX, const GLfloat fY, const GLfloat fZ)
   : x (fX), y (fY), z (fZ)
{
   // Ne fait rien
}

CVector::~CVector()
{
   // Ne fait rien
}

void CVector::SetCoordonnees (const GLfloat fX, const GLfloat fY, const GLfloat fZ)
{
   x = fX;
   y = fY;
   z = fZ;
}