/// Classe NewtMaterialID. Reprsente l'identifiant d'un seul matriel

#ifndef NEWTMATERIALID_HPP
#define NEWTMATERIALID_HPP

#include "NewtWorld.hpp"

class NewtMaterialID
{
	public:
		// Constructeur / Destructeur
		NewtMaterialID (const int defaultID = 0);
		~NewtMaterialID ();

		// Fonction renvoyant l'ID du matriel
		inline int GetID () const;

	private:
		const NewtWorld * _nWorld; // Pointeur vers un objet NewtWorld
		int _matID; // Identifiant du matriel
};

int NewtMaterialID::GetID () const
{
	return _matID;
}

#endif // NEWTMATERIALID_HPP